require 'phi'

class SubForm < Phi::Form
  def initialize(*args)
    super(:form, *args)
  end
end

require 'test/unit'

class TCSubForm < Test::Unit::TestCase
  def test_new
    instance = nil
    assert_nothing_raised { instance = SubForm.new('ab.cd') }
    assert_equal 'form', instance.name
    assert_equal 'ab.cd', instance.caption
  end
end
